# ARM Processor iOS (iPhone): Write

Assembler code

```
__text:00004424                 BHI     loc_440C
__text:00004428
__text:00004428 loc_4428                                ; CODE XREF: sub_43CC+24↑j
__text:00004428                                         ; sub_43CC+3C↑j
__text:00004428                 LDR     R3, =___stderrp_ptr
__text:0000442C                 LDR     R0, =aSynchronized ; "synchronized\n"
__text:00004430                 MOV     R1, #1          ; __size
__text:00004434                 LDR     R3, [R3]        ; ___stderrp
__text:00004438                 MOV     R2, #0xD        ; __nitems
__text:0000443C                 LDR     R3, [R3]        ; __stream
__text:00004440                 BL      _fwrite
__text:00004444                 MOV     R3, #0x12
__text:00004448
__text:00004448 loc_4448                                ; CODE XREF: sub_43CC+34↑j
__text:00004448                                         ; sub_43CC+4C↑j
__text:00004448                 STR     R3, [R4,#0x38]
__text:0000444C                 LDR     R3, [R4,#0xE4]
__text:00004450                 STR     R3, [R4,#0xE0]
__text:00004454                 MOV     R3, #9
__text:00004458                 STR     R3, [R4,#0xE4]
__text:0000445C                 LDR     R3, [R4,#0xEC]
__text:00004460                 STR     R3, [R4,#0xE8]
__text:00004464                 MOV     R3, #0
__text:00004468                 STR     R3, [R4,#0xEC]
__text:0000446C                 POP     {R4,R7,PC}
__text:0000446C ; End of function sub_43CC
__text:0000446C
__text:0000446C ; ---------------------------------------------------------------------------
__text:00004470 off_4470        DCD dword_52E70         ; DATA XREF: sub_43CC↑r
__text:00004474 off_4474        DCD ___stderrp_ptr      ; DATA XREF: sub_43CC:loc_4428↑r
__text:00004478 ; void *const _ptr
__text:00004478 __ptr           DCD aSynchronized       ; DATA XREF: sub_43CC+60↑r
__text:00004478                                         ; "synchronized\n"
__text:0000447C
__text:0000447C ; =============== S U B R O U T I N E =======================================
__text:0000447C
__text:0000447C
__text:0000447C sub_447C                                ; DATA XREF: sub_4820+47C↓o
__text:0000447C                                         ; __text:off_50A8↓o
__text:0000447C                 UXTB    R0, R0

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hex-rays.com/9.0/user-guide/disassembler/disassembly-gallery/arm-processor-ios-iphone-write.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
